TIMEZONE(3)

NAME
timezone - return the timezone abbreviation

LIBRARY
libc

SYNOPSIS
char *
timezone(int zone, int dst);

DESCRIPTION
This interface is available for compatibility only and will disappear in a future software release; it is impossible to reliably map timezone's arguments to a time zone abbreviation. See ctime(3); see tzset(3) for the new definition of this interface.

The timezone() function returns a pointer to a time zone abbreviation for the specified zone and dst values. Zone is the number of minutes west of GMT and dst is non-zero if daylight savings time is in effect.

SEE ALSO
ctime(3), tzset(3)

HISTORY
A timezone() function appeared in AT&T UNIX.